View Issue Details

IDProjectCategoryView StatusLast Update
0003490GNUnetset servicepublic2018-06-07 00:25
ReportercfuchsAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003490: set intersection removes all elements
Descriptiondue to a problem in the bloomfilter handling, set intersection currently removes every element in both sets, until all none are left.
Additional InformationWhile the session handling is correct, the bloomfilter-test always returns that the given element is not in the set. Probably the bug lies in the message-envelope transferred between the two intersection nodes (thereby corrupting the BF-data). Howevery, semantically the code seems sane.
TagsNo tags attached.

Relationships

child of 0003489 closedChristian Grothoff scalarproduct sessions fail (always) 

Activities

Christian Grothoff

2014-11-07 19:13

manager   ~0008622

Fixed testcase in SVN 34403 so that it fails, highlighting the problem.

Christian Grothoff

2014-11-30 01:47

manager   ~0008631

Fixed in SVN 34455.

Issue History

Date Modified Username Field Change
2014-07-09 17:11 cfuchs New Issue
2014-07-09 17:11 cfuchs Status new => assigned
2014-07-09 17:11 cfuchs Assigned To => cfuchs
2014-07-09 17:12 cfuchs Relationship added child of 0003489
2014-11-07 18:53 Christian Grothoff Target Version => 0.11.0pre66
2014-11-07 19:13 Christian Grothoff Note Added: 0008622
2014-11-07 19:14 Christian Grothoff Assigned To cfuchs => Christian Grothoff
2014-11-30 01:47 Christian Grothoff Status assigned => resolved
2014-11-30 01:47 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-11-30 01:47 Christian Grothoff Resolution open => fixed
2014-11-30 01:47 Christian Grothoff Note Added: 0008631
2018-06-07 00:25 Christian Grothoff Status resolved => closed